aboutsummaryrefslogtreecommitdiffstats
path: root/tools/qvm-screenshot.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/qvm-screenshot.sh')
-rw-r--r--tools/qvm-screenshot.sh11
1 files changed, 5 insertions, 6 deletions
diff --git a/tools/qvm-screenshot.sh b/tools/qvm-screenshot.sh
index ff331a2..60c1308 100644
--- a/tools/qvm-screenshot.sh
+++ b/tools/qvm-screenshot.sh
@@ -32,7 +32,7 @@ esac done
[[ $err -ne 0 ]] && usage && exit 1
shotslist=""
-mkdir -p DOM0_SHOTS_DIR ||exit 1
+mkdir -p $DOM0_SHOTS_DIR ||exit 1
while true; do
d=`date +"%Y%m%d-%H%M"`
tmpname=$d.png
@@ -44,9 +44,9 @@ while true; do
scrot $@ $DOM0_SHOTS_DIR/$tmpname ||break
fi
- title=`kdialog --inputbox "Enter screenshot title" --title "shot.sh"`
- shotname=${d}_${title}.png
+ title=`kdialog --inputbox "Enter screenshot title" --title "$program"`
[[ X"$title" = X"" ]] && break
+ shotname=${d}_${title}.png
echo "[-] saving $DOM0_SHOTS_DIR/$shotname"
mv $DOM0_SHOTS_DIR/$tmpname $DOM0_SHOTS_DIR/$shotname
@@ -57,7 +57,7 @@ while true; do
done
choice=`ls $QUBES_DOM0_APPVMS |sed 's/\([^ ]*\)/\1 \1/g'`
-appvm=`kdialog --menu "Select destination AppVM" $choice --title "shot.sh"`
+appvm=`kdialog --menu "Select destination AppVM" $choice --title "$program"`
if [ X"$appvm" != X"" ]; then
if [ $mode_nautilus -eq 1 ]; then
@@ -72,9 +72,8 @@ if [ X"$appvm" != X"" ]; then
cat $DOM0_SHOTS_DIR/$shot \
|qvm-run --pass-io $appvm "cat > $APPVM_SHOTS_DIR/$shot"
done
- echo "[*] done $appvm"
else
echo "no AppVM name provided"
- echo "[*] done"
fi
+echo "[*] done"